# Shipping method tiers

Shipping method tiers let you segment the pricing of your [shipping methods](/core-api-reference/shipping_methods.md) by defining specific intervals where the cost of the selected shipping method stays the same (changing when each interval's upper limit is exceeded).

At the moment [weight tiers](/core-api-reference/shipping_weight_tiers.md) are available for shipping methods (more to come).

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/shipping/shipping-zones-and-methods.md) and explore the flowchart that illustrates how the shipping method tier resource relates to the other API entities.

</details>

{% hint style="info" %}
This is an **immutable API**, meaning that create, update, and delete operations are not allowed on this endpoint. You can only fetch a list of shipping method tiers or a single shipping method tier object. For the full set of available CRUD actions to the specific shipping method tier type endpoints.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/shipping_method_tiers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
